SinglePropertyLiteral (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.assembly.configuration.SinglePropertyLiteral class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.assembly.configuration
Class SinglePropertyLiteral

    java.lang.Object
      org.mule.config.spring.parsers.assembly.configuration.SinglePropertyLiteral

All Implemented Interfaces:
  SingleProperty

    public class SinglePropertyLiteral

extends Object
implements SingleProperty

Constructor Summary
`SinglePropertyLiteral()`
`SinglePropertyLiteral(boolean isReference)`
`SinglePropertyLiteral(boolean isCollection, boolean isIgnored, boolean isReference)`

Method Summary
`boolean` | `isCollection()`
`boolean` | `isIgnored()`
`boolean` | `isReference()`
`void` | `setCollection()`
`void` | `setIgnored()`
`void` | `setReference()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinglePropertyLiteral

    public SinglePropertyLiteral(boolean isCollection,
                                 boolean isIgnored,
                                 boolean isReference)

### SinglePropertyLiteral

    public SinglePropertyLiteral(boolean isReference)

### SinglePropertyLiteral

    public SinglePropertyLiteral()

Method Detail

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `SingleProperty`

### setCollection

    public void setCollection()

  Specified by:
    `setCollection` in interface `SingleProperty`

### isIgnored

    public boolean isIgnored()

  Specified by:
    `isIgnored` in interface `SingleProperty`

### setIgnored

    public void setIgnored()

  Specified by:
    `setIgnored` in interface `SingleProperty`

### isReference

    public boolean isReference()

  Specified by:
    `isReference` in interface `SingleProperty`

### setReference

    public void setReference()

  Specified by:
    `setReference` in interface `SingleProperty`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.